using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace FotbalPortal.Models
{
    public class Article
    {

        public int id { get; set; }
        [Display(Name = "Autor")]
        public int author { get; set; }
        [Display(Name = "Stav")]
        public int status { get; set; }
        [Display(Name = "Titulek")]
        public string title { get; set; }
        [Display(Name = "Text")]
        public string text { get; set; }
        [Display(Name = "Datum vytvoření")]
        public DateTime created { get; set; }
        [Display(Name = "Datum úpravy")]
        public DateTime? edited { get; set; }
        [Display(Name = "Datum zveřejnění")]
        public DateTime? published { get; set; }
        [Display(Name = "Komentáře povoleny")]
        public bool commentsAllowed { get; set; }

        [Display(Name = "Kategorie")]
        public int categoryID { get; set; }
        public virtual Category category { get; set; }

        [Display(Name = "Obrázek")]
        public string image { get; set; }

    }
}

